c++-gtk-utils

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Cgu::AsyncResult< T > Member List

This is the complete list of members for Cgu::AsyncResult< T >, including all inherited members.

AsyncResult() | Cgu::AsyncResult< T > | inline
AsyncResult(const AsyncResult &)=delete | Cgu::AsyncResult< T > |
get() const | Cgu::AsyncResult< T > | inline
get_error() const | Cgu::AsyncResult< T > | inline
is_done() const | Cgu::AsyncResult< T > | inline
move_get() | Cgu::AsyncResult< T > | inline
operator=(const AsyncResult &)=delete | Cgu::AsyncResult< T > |
set(const T &val) | Cgu::AsyncResult< T > | inline
set(T &&val) | Cgu::AsyncResult< T > | inline
set_error(int err=-1) | Cgu::AsyncResult< T > | inline
~AsyncResult() | Cgu::AsyncResult< T > | inline